#!/usr/bin/env bash

if [ ! -z "${APPNET}" ]; then
   echo "Initial nslookup ${HOSTNAME}.${APPNET}"
   nslookup ${HOSTNAME}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
     sleep 1
     nslookup ${HOSTNAME}.${APPNET}
   done

   echo "Initial nslookup tasks.${ADMIN_HOST}.${APPNET}"
   nslookup tasks.${ADMIN_HOST}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for tasks.${ADMIN_HOST}.${APPNET} to become available"
     sleep 1
     nslookup tasks.${ADMIN_HOST}.${APPNET}
   done
fi


sed -i "s/192.168.201.12:27017/${DB_CLUSTER}/" /etc/web-laboratory/application.conf
sed -i "s/192.168.201.13/tasks.${ADMIN_HOST}.${APPNET}/" /etc/web-laboratory/application.conf
sed -i "s/192.168.201.23/${HOSTNAME}.${APPNET}/" /etc/web-laboratory/application.conf

#sed -i "s/192\.168\.204\.2x/${HOSTNAME}/" /etc/web-registry-portal/application.conf
#sed -i "s/communication = \"remote\"/communication = \"socket\"/" /etc/web-registry-portal/application.conf

#echo "#Dummy" >> /etc/rc.d/init.d/functions
#source /etc/init.d/web-laboratory status

if [ ! -z "$*" ]
then
    exec "$@"
else
    exec ${WEB_REGISTRY_BIN} ${WEB_REGISTRY_CUSTOM_OPTS} ${WEB_REGISTRY_OPTS}
fi
